Skip to content
Start here

Delete Stream

pipelines.streams.delete(strstream_id, StreamDeleteParams**kwargs)
DELETE/accounts/{account_id}/pipelines/v1/streams/{stream_id}

Delete Stream in Account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Specifies the public ID of the account.

stream_id: str

Specifies the public ID of the stream.

maxLength32
minLength32
force: Optional[str]

Delete stream forcefully, including deleting any dependent pipelines.

Delete Stream

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.pipelines.streams.delete(
    stream_id="033e105f4ecef8ad9ca31a8372d0c353",
    account_id="0123105f4ecef8ad9ca31a8372d0c353",
)
Returns Examples